summaryrefslogtreecommitdiffstats
path: root/tools/alpine-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xtools/alpine-setup.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/tools/alpine-setup.sh b/tools/alpine-setup.sh
index b5cd5a17..0cdb7799 100755
--- a/tools/alpine-setup.sh
+++ b/tools/alpine-setup.sh
@@ -13,7 +13,7 @@
set -e -u -o pipefail
-function print_usage() {
+print_usage() {
printf "\\nUtility to setup a alpine system for Wireshark Development.\\n"
printf "The basic usage installs the needed software\\n\\n"
printf "Usage: %s [--install-optional] [...other options...]\\n" "$0"
@@ -86,7 +86,7 @@ ADDITIONAL_LIST="
snappy-dev
nghttp2-dev
nghttp3-dev
- lua5.2-dev
+ lua5.4-dev
libnl3-dev
sbc-dev
minizip-dev
@@ -98,10 +98,10 @@ ADDITIONAL_LIST="
"
# Uncomment to add PNG compression utilities used by compress-pngs:
-# ADDITIONAL_LIST="$ADDITIONAL_LIST \
-# advancecomp \
-# optipng \
-# oxipng \
+# ADDITIONAL_LIST="$ADDITIONAL_LIST
+# advancecomp
+# optipng
+# oxipng
# pngcrush"
# Adds package $2 to list variable $1 if the package is found.
@@ -110,7 +110,7 @@ add_package() {
local list="$1" pkgname="$2"
# fail if the package is not known
- apk list $pkgname &> /dev/null || return 1
+ apk list "$pkgname" &> /dev/null || return 1
# package is found, append it to list
eval "${list}=\"\${${list}} \${pkgname}\""
@@ -125,6 +125,7 @@ then
fi
apk update || exit 2
+# shellcheck disable=SC2086
apk add $ACTUAL_LIST $OPTIONS || exit 2
if [ $ADDITIONAL -eq 0 ]